Bug 787233 - Compass build warnings on latest headpin
Compass build warnings on latest headpin
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
All Linux
high Severity medium
: ---
: 1.0
Assigned To: Jordan OMara
SAM QE List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 11:10 EST by Jordan OMara
Modified: 2014-11-09 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jordan OMara 2012-02-03 11:10:52 EST
1. Run `compass compile`
2. Several warnings about future deprecations of shadow boxes appear. Presumably we just need to update the scss accordingly

Example warning (there are several warnings, but they are identical):



WARNING: Passing separate arguments for a single shadow to text-shadow is deprecated. Pass the values as a single space-separated list, or use the single-text-shadow mixin. See http://beta.compass-style.org/help/tutorials/upgrading/antares/ for more info.
        on line 31 of /usr/lib/ruby/gems/1.8/gems/compass-0.11.5/frameworks/compass/stylesheets/compass/css3/_text-shadow.scss, in `text-shadow'
        from line 68 of /usr/share/katello/app/stylesheets/_look.scss
        from line 9 of /usr/share/katello/app/stylesheets/katello.scss
        from line 1 of /usr/share/katello/app/stylesheets/sections/dashboard.scss

Headpin does this at RPM install time now, so itll look pretty kludgy to a customer
Comment 2 Jordan OMara 2012-02-20 15:13:02 EST
committed 44d7a35a7f59929a9b7da9d1fdfe6801c7f6e488

Note You need to log in before you can comment on or make changes to this bug.